#include <HardwareSerial.h>

HardwareSerial loraSerial(1);
const int led = 2;

void readResponse() {
  delay(100);
  while (loraSerial.available()) {
    Serial.write(loraSerial.read());
  }
}

void setup() {
  delay(1000);
  Serial.begin(115200);
  loraSerial.begin(9600, SERIAL_8N1, 16, 17);
  pinMode(led, OUTPUT);

  Serial.println("Initialisation du récepteur...");

  loraSerial.println("AT");
  readResponse();

  loraSerial.println("AT+MODE=TEST");
  readResponse();

  loraSerial.println("AT+TEST=RFCFG,868,SF12,125,8,15,14,ON,OFF,0,3000,8,ON");
  readResponse();

  loraSerial.println("AT+TEST=RXLRSTR");  // 🟢 ICI LE CHANGEMENT
  readResponse();

  Serial.println("Récepteur prêt !");
}

void loop() {
  while (loraSerial.available()) {
    String msg = loraSerial.readStringUntil('\n');
    Serial.println("Message reçu : " + msg);
    digitalWrite(led, HIGH);
    delay(200);
    digitalWrite(led, LOW);
  }
}

