#include <HardwareSerial.h>

HardwareSerial loraSerial(1); // UART1 de l'ESP32

#define LORA_RX 16 // GPIO16 connecté au TX du LoRa-E5
#define LORA_TX 17 // GPIO17 connecté au RX du LoRa-E5

// 💬 Fonction d'envoi de commande AT + affichage des réponses
void sendCommand(String command)
{
  Serial.println(">> " + command);
  loraSerial.println(command);
  delay(100);

  unsigned long timeout = millis() + 1000;
  while (millis() < timeout)
  {
    while (loraSerial.available())
    {
      String response = loraSerial.readStringUntil('\n');
      response.trim();
      if (response.length() > 0)
      {
        Serial.println("<< " + response);
      }
    }
  }
}

void setup()
{
  Serial.begin(115200); // Moniteur série
  loraSerial.begin(9600, SERIAL_8N1, 16, 17); // RX=16, TX=17 (à adapter à ton câblage)

  Serial.println("Initialisation du LoRa E5...");

  sendCommand("AT");
  delay(300);
  sendCommand("AT+MODE=TEST");
  delay(300);
  sendCommand("AT+TEST=RFCFG,868000000,12,125,8,14"); // <-- version corrigée
  delay(500);
}

void loop()
{
  static int counter = 0;
  String message = "Hello #" + String(counter++);
  String command = "AT+TEST=TXLRSTR,\"" + message + "\"";

  sendCommand(command);
  delay(1000); // 5 secondes entre chaque message
}
