#include <Wire.h>
#include "Adafruit_SHT31.h"

Adafruit_SHT31 sht31 = Adafruit_SHT31();

void setup() {
    Serial.begin(115200);
    Wire.begin(23, 22);  // Initialisation I2C avec GPIO23 (SDA), GPIO22 (SCL)

    if (!sht31.begin(0x44)) {  // Utilise le Wire par défaut déjà configuré
        Serial.println("Couldn't find SHT30 sensor. Check wiring!");
        while (1);
    }

    Serial.println("SHT30 initialized.");
}

void loop() {
    float temperature = sht31.readTemperature();
    float humidity = sht31.readHumidity();

    if (!isnan(temperature) && !isnan(humidity)) {
        Serial.print("Temperature: ");
        Serial.print(temperature);
        Serial.println(" °C");

        Serial.print("Humidity: ");
        Serial.print(humidity);
        Serial.println(" %");
    } else {
        Serial.println("Failed to read from SHT30 sensor!");
    }

    delay(2000);
}
