#include <Wire.h>
#include "DFRobot_SHT3x.h"

DFRobot_SHT3x sht3x;

void setup() {
  Serial.begin(115200);

  // ✅ Pour ESP8266 : SDA = D2 (GPIO4), SCL = D1 (GPIO5)
  Wire.begin(12, 14);

  while (sht3x.begin() != 0) {
    Serial.println("❌ Échec initialisation SHT30, vérifie le câblage !");
    delay(1000);
  }

  Serial.print("✅ Numéro de série du SHT30 : ");
  Serial.println(sht3x.readSerialNumber());

  if (!sht3x.softReset()) {
    Serial.println("⚠️ Échec du reset logiciel !");
  }

  if (!sht3x.startPeriodicMode(sht3x.eMeasureFreq_1Hz)) {
    Serial.println("⚠️ Échec de démarrage en mode périodique !");
  }

  Serial.println("🟢 Mode lecture cyclique activé.");
}

void loop() {
  Serial.print("Température : ");
  Serial.print(sht3x.getTemperatureC());
  Serial.print(" °C / ");
  Serial.print(sht3x.getTemperatureF());
  Serial.print(" °F | Humidité : ");
  Serial.print(sht3x.getHumidityRH());
  Serial.println(" %RH");

  delay(1000);

  if (millis() > 10000 && millis() < 10200) {
    sht3x.stopPeriodicMode();
    Serial.println("🛑 Arrêt du mode périodique. Passage en mode single.");
  }
}
