#include <Wire.h>
#include <Adafruit_Si7021.h>

Adafruit_Si7021 capteur = Adafruit_Si7021();

void setup() {
  Serial.begin(115200);

  // Initialisation I2C avec SDA = GPIO19, SCL = GPIO18
  Wire.begin(19, 18);

  // Initialisation du capteur SI7021
  if (!capteur.begin()) {
    Serial.println("Erreur : capteur SI7021 non détecté !");
    while (true); // Boucle infinie si le capteur est absent
  }

  Serial.println("Capteur SI7021 détecté !");
}

void loop() {
  float temperature = capteur.readTemperature();
  float humidite = capteur.readHumidity();

  Serial.print("Température : ");
  Serial.print(temperature);
  Serial.println(" °C");

  Serial.print("Humidité : ");
  Serial.print(humidite);
  Serial.println(" %");

  delay(1000);  // Attente d'une seconde entre chaque mesure
}
