#ifndef CONFIG_BOARD_H
#define CONFIG_BOARD_H

// Configuration spécifique pour ESP8266
#if defined(ARDUINO_ARCH_ESP8266)

  #define Debug_Serial Serial  // Port debug sur USB

  // LoRa_E5 connecté via SoftwareSerial sur D7 (TX) et D8 (RX)
  #include <SoftwareSerial.h>
  SoftwareSerial LoRa_Serial(D7, D4);  // D7 = GPIO13 (TX LoRa), D8 = GPIO15 (RX LoRa)

#else
  // Configuration par défaut pour les autres cartes
  #define Debug_Serial Serial
  #define LoRa_Serial Serial1
  #warning "Votre carte n'est pas explicitement supportée. Adaptez config_board.h."
#endif




#endif //CONFIG_BOARD_H

////////////////////////////////
/* Uart Pin list for known board
////////////////////////////////

NUCLEO-F446RE : 
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6
 
USART2_RX = PA3 (ST-link)
USART2_TX = PA2 (ST-Link)

USART3_RX = PC5 Alternate PC11
USART3_TX = PB10 Alternate PC10

//

NUCLEO-L073RZ :
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6

USART2_RX = PA3 (ST-link) Alternate PA15
USART2_TX = PA2 (ST-Link) Alternate PA14

//

NUCLEO-F411RE :
USART1_RX = PA10 Alternate PB7 Alternate PB3
USART1_TX = PA9 Alternate PB6 Alternate PA15
 
USART2_RX = PA3 (ST-link)
USART2_TX = PA2 (ST-Link)

//

NUCLEO-WL55JC1 :
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6
 
USART2_RX = PA3 (ST-link)
USART2_TX = PA2 (ST-Link)

//

NUCLEO-G031K8 :
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6
 
USART2_RX = PA3 (ST-link)
USART2_TX = PA2 (ST-Link)

//

NUCLEO-L433RC-P  :
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6
 
USART2_RX = PA3 (ST-link) Alternate PA15
USART2_TX = PA2 (ST-Link)

//

NUCLEO-F746ZG :
USART1_RX = PA10 Alternate PB7
USART1_TX = PA9 Alternate PB6
 
USART2_RX = PA3 (ST-link) Alternate PD6
USART2_TX = PA2 (ST-Link) Alternate PD5

USART3_RX = PD9 Alternate PB11 Alternate PC11
USART3_TX = PD8 Alternate PB10 Alternate PC10

////////////////////////////////
Uart Pin list for known board */
////////////////////////////////