#include <Arduino.h>

#define RXD2 16  // RX de l'ESP32 (TX du LoRa-E5)
#define TXD2 17  // TX de l'ESP32 (RX du LoRa-E5)
HardwareSerial SerialAT(2); // Port série 2 de l'ESP32

void setup() {
    Serial.begin(115200);  // Moniteur série (PC)
    SerialAT.begin(9600, SERIAL_8N1, RXD2, TXD2);  // Initialiser LoRa-E5 en 9600 bauds

    delay(2000);
    Serial.println("Envoi de la commande AT pour obtenir le DevEui...");

    SerialAT.println("AT+ID=DevEui"); // Envoi de la commande au LoRa-E5
}

void loop() {
    // Lecture de la réponse et affichage sur le moniteur série
    if (SerialAT.available()) {
        String response = "";
        while (SerialAT.available()) {
            response += (char)SerialAT.read();
        }
        Serial.println("Réponse du LoRa-E5: " + response);
    }
    delay(1000);
}
